GET api/rfidreaderapi/rfidReader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
RfidReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| duration | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| ip | string |
None. |
|
| name | string |
Required |
|
| pc_id | globally unique identifier |
None. |
|
| power | decimal number |
None. |
|
| sector_entry | integer |
None. |
|
| sector_exit | integer |
None. |
|
| sensibility | decimal number |
None. |
|
| site_id | globally unique identifier |
Required |
|
| tag_filter | string |
None. |
|
| rfid_reader_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"duration": 1,
"id": "5f07f5a8-5bc0-4bcd-8782-ed7f3b93bc5d",
"ip": "sample string 2",
"name": "sample string 3",
"pc_id": "79c5b5ce-aee4-451f-a58b-06233cfe36a3",
"power": 1.1,
"sector_entry": 1,
"sector_exit": 1,
"sensibility": 1.1,
"site_id": "16a6b948-5c3e-427b-9a96-4dd0c2d89e30",
"tag_filter": "sample string 4",
"rfid_reader_type_id": "a08ec821-3a2b-4965-b15a-3619d93d42d2",
"active": true
}
application/xml, text/xml
Sample:
<rfid_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>5f07f5a8-5bc0-4bcd-8782-ed7f3b93bc5d</id> <ip>sample string 2</ip> <name>sample string 3</name> <pc_id>79c5b5ce-aee4-451f-a58b-06233cfe36a3</pc_id> <power>1.1</power> <rfid_reader_type_id>a08ec821-3a2b-4965-b15a-3619d93d42d2</rfid_reader_type_id> <sector_entry>1</sector_entry> <sector_exit>1</sector_exit> <sensibility>1.1</sensibility> <site_id>16a6b948-5c3e-427b-9a96-4dd0c2d89e30</site_id> <tag_filter>sample string 4</tag_filter> </rfid_reader>